This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1285381 - Compatibility mode: HotRod client sends request to wrong owner
Compatibility mode: HotRod client sends request to wrong owner
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan, Performance (Show other bugs)
6.6.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.6.0
Assigned To: Galder Zamarreño
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-25 09:01 EST by Dan Berindei
Modified: 2015-12-17 11:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-5981 Major Resolved Compatibility mode: HotRod client sends request to wrong owner 2016-01-05 08:55 EST

  None (edit)
Description Dan Berindei 2015-11-25 09:01:03 EST
The HotRod client computes the hash on the serialized key, i.e. MurmurHash3.hash(obj2bytes(key)), but the server decides the entry location based on the unmarshalled key, i.e. MurmurHash3.hash(key.hashCode()).

See JIRA for more details.
Comment 2 Galder Zamarreño 2015-12-16 03:41:55 EST
PR: https://github.com/infinispan/jdg/pull/833
Comment 3 Galder Zamarreño 2015-12-16 10:58:51 EST
Fixing some tests: https://github.com/infinispan/jdg/pull/835

Note You need to log in before you can comment on or make changes to this bug.